<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsRawGnssSatInfo Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_xs_raw_gnss_sat_info-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsRawGnssSatInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A container for GNSS Satellite Information.  
 <a href="struct_xs_raw_gnss_sat_info.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad650ebe4208206fb78903a0cbbfb3a6e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad650ebe4208206fb78903a0cbbfb3a6e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_sat_info.html#ad650ebe4208206fb78903a0cbbfb3a6e">operator==</a> (const <a class="el" href="struct_xs_raw_gnss_sat_info.html">XsRawGnssSatInfo</a> &amp;b) const </td></tr>
<tr class="memdesc:ad650ebe4208206fb78903a0cbbfb3a6e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if all fields of this and <em>other</em> are exactly identical. <br /></td></tr>
<tr class="separator:ad650ebe4208206fb78903a0cbbfb3a6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a5c417afbae65b850f7031f6592d8f081"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c417afbae65b850f7031f6592d8f081"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_sat_info.html#a5c417afbae65b850f7031f6592d8f081">m_itow</a></td></tr>
<tr class="memdesc:a5c417afbae65b850f7031f6592d8f081"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPS time of week (ms) <br /></td></tr>
<tr class="separator:a5c417afbae65b850f7031f6592d8f081"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fa97ad55b28e2412c7563d097855568"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7fa97ad55b28e2412c7563d097855568"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_sat_info.html#a7fa97ad55b28e2412c7563d097855568">m_numSvs</a></td></tr>
<tr class="memdesc:a7fa97ad55b28e2412c7563d097855568"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of satellites. <br /></td></tr>
<tr class="separator:a7fa97ad55b28e2412c7563d097855568"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a536ba04b263d5994a57172873fd1d9c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a536ba04b263d5994a57172873fd1d9c4"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_sat_info.html#a536ba04b263d5994a57172873fd1d9c4">m_res1</a></td></tr>
<tr class="memdesc:a536ba04b263d5994a57172873fd1d9c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use (1) <br /></td></tr>
<tr class="separator:a536ba04b263d5994a57172873fd1d9c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74278e9cc47e465a7f3c5c153b24c3d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a74278e9cc47e465a7f3c5c153b24c3d1"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_sat_info.html#a74278e9cc47e465a7f3c5c153b24c3d1">m_res2</a></td></tr>
<tr class="memdesc:a74278e9cc47e465a7f3c5c153b24c3d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use (2) <br /></td></tr>
<tr class="separator:a74278e9cc47e465a7f3c5c153b24c3d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1de89ef349fef74cab95b89216a8a035"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1de89ef349fef74cab95b89216a8a035"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_sat_info.html#a1de89ef349fef74cab95b89216a8a035">m_res3</a></td></tr>
<tr class="memdesc:a1de89ef349fef74cab95b89216a8a035"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use (3) <br /></td></tr>
<tr class="separator:a1de89ef349fef74cab95b89216a8a035"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d9193ea5a471bfd04271a6537737b0b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d9193ea5a471bfd04271a6537737b0b"></a>
<a class="el" href="struct_xs_sat_info.html">XsSatInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_sat_info.html#a5d9193ea5a471bfd04271a6537737b0b">m_satInfos</a> [60]</td></tr>
<tr class="memdesc:a5d9193ea5a471bfd04271a6537737b0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The information of all satellites, maximum 60. <br /></td></tr>
<tr class="separator:a5d9193ea5a471bfd04271a6537737b0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A container for GNSS Satellite Information. </p>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
